# Magistere board module plugin #

Cette version de Board a été adaptée pour M@gistère. Cette nouvelle version ajoute un support pour les vidéos des plateformes Peertube et Pod.

Le descriptif du plugin original se trouve ci-dessous.

# Brickfield board module plugin #
Copyright (C) 2021 [Brickfield Education Labs](https://www.brickfield.ie/)

## What is Board? ##
The Board module for Moodle is a plugin that enables a post-it board activity for students.
This is a collaborative activity where the teachers sets out a number of columns with
optional names and then students add contributions to a column. Students do not see who has
posted what.

On the Board, Students can:
* Add a new post with some of the following:
  * A heading.
  * Some text.
  * Add A link.
  * Upload an image.
  * Embed a Youtube video.
  * Embed a Peertube video.
  * Embed a Pod video.
* Edit or Delete one of their posts.

They can also do the following depending on the settings of the teacher:
* Move their notes among columns.
* Star someone elses post.

The teacher can set up the activity with the following options:
* A closing date for submissions.
* How the posts are ordered in a column, by date or star count.
* Whether posts can be starred - by students, teachers, or neither.

On the board a teacher can:
* Move any of the posts from one column to another.
* Download a copy of the board contents.
* Download a spreadsheet of submissions of the students.

## Funding credits ##
Initial funding for this plugin was provided by the National Institute for Digital Learning
at Dublin City University under the SATLE fund from the National Forum. Subsequent funding
has been recieved from Athlone Institute of Technology under the SATLE fund from the
National Forum, and also from UCL.

## Version support ##
This plugin has been developed to work on Moodle releases 3.9, 3.10, and 3.11.

## Development ##
This Plugin has been developed and is maintained by Brickfield Education Labs.
If you wish to contribute funding to the ongoing development of features and / or
maintenance of the plugin - please contact [support@brickfield.ie](mailto:support@brickfield.ie).

This module uses code derived from ["jquery.editable.amd.js"](https://github.com/victorjonsson/jquery-editable/).
This code written by [Victor Jonsson](http://victorjonsson.se/) is licensed under [GNU GPLv2](http://www.gnu.org/licenses/gpl-2.0.html).

## Documentation ##
All public documentation for this plugin will be maintained at the
[Brickfield site](https://brickfield.ie/docs/mod_board).

## Important Links ##
* [Code repository](https://github.com/brickfield/moodle-mod_board)
* [Plugin Directory](https://moodle.org/plugins/mod_board)

## Installation ##
* Unzip and copy "board" folder into Moodle's "mod" folder
* Visit admin page to install module

Further installation instructions can be found on the 
"[Installing plugins](http://docs.moodle.org/en/Installing_contributed_modules_or_plugins)" Moodle documentation page.
